﻿@model IEnumerable<Test.Core.Product>
@{
    ViewData["Title"] = "Product List";
}

<h3>@ViewData["Title"]</h3>
<hr />

<form>
    <button asp-controller="Product" asp-action="CreateOrEdit" class="btn btn-primary mb-3">Create Product</button>
    <table class="table table-hover table-bordered">
        <thead>
            <tr class="table-active">
                <th>
                    @Html.DisplayNameFor(model => model.Id)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.ProductName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Price)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Qty)
                </th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            @if(Model != null && Model.Any())
            {
                @foreach(var product in Model)
                {
                    <tr>
                        <td>@product.Id</td>
                        <td>@product.ProductName</td>
                        <td>@product.Price</td>
                        <td>@product.Qty</td>
                        <td class="text-center">
                            <div class="btn-group btn-group-sm">
                                <a asp-controller="Product" asp-action="CreateOrEdit" asp-route-id="@product.Id" class="btn btn-success">Edit</a>
                                <a asp-controller="Product" asp-action="Delete" asp-route-id="@product.Id" class="btn btn-danger">Delete</a>
                            </div>
                        </td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="5">
                        <div>
                            No Products available at this moment!
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</form>
